Subject: [hrpc] I-D Action: draft-irtf-hrpc-guidelines-03.txt

From: [email-masked]
Date: Fri, 07 Jun 2019 01:30:30 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Human Rights Protocol Considerations RG of the IRTF.

        Title           : Guidelines for Human Rights Protocol and Architecture Considerations
        Authors         : University of Amsterdam
                          Gurshabad Grover
	Filename        : draft-irtf-hrpc-guidelines-03.txt
	Pages           : 28
	Date            : 2019-06-07

Abstract:
   This document sets guidelines for human rights considerations in
   networking protocols, similar to the work done on the guidelines for
   privacy considerations [RFC6973].  This is an updated version of the
   guidelines for human rights considerations in [RFC8280].

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-irtf-hrpc-guidelines/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-irtf-hrpc-guidelines-03
https://datatracker.ietf.org/doc/html/draft-irtf-hrpc-guidelines-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-irtf-hrpc-guidelines-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Gurshabad Grover <[email-masked]>
Date: Fri, 7 Jun 2019 14:40:34 +0530

Hi!

-03 of the guidelines draft is now up. The changes are mostly based on
Joe's [0] and Avri's [1] reviews.

Look forward to your feedback.

Thank you.
-GG.

[0] https://mailarchive.ietf.org/arch/msg/hrpc/CIwpPOw7R-C8E7kT9omFv_B5qzY
[1] https://mailarchive.ietf.org/arch/msg/hrpc/CMZNwYxubKupeCKsNy6wO_AAlqA

On 07/06/19 2:00 PM, [email-masked] wrote:
> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc
>

---

From: John Curran <[email-masked]>
Date: Sun, 9 Jun 2019 15:36:39 -0400

>   guidelines for human rights considerations in [RFC8280].

Folks - 

The draft notes that the human right of legal remedy (recourse before competent tribunal for violations of other fundamental rights) may be relevant when evaluating impacts of a protocol/architecture, but does not presently show any example of a relationship within the various consideration sections.  

I would note that, encouraged by the operator community, the IETF has previously considered possible impacts that various architecture & protocols can have on this human right – as effective legal remedy often requires attribution in order to determine applicable law and jurisdiction and protocols/archictures can significantly preclude attribution.  For an example of IETF consideration of one such consideration, see BCP162/RFC6302 ("Logging Recommendations for Internet-Facing Servers”) that provides logging recommendations to facilitate better endpoint attribution during abuse and public safety queries.

It is not necessary for draft-irtf-hrpc-guidelines to reflect the potential for protocols/architectures to impact the human right of legal remedy, but I believe that omitting an any reference will result in a guide for conducting HR reviews which is incomplete, and not reflect the understanding already present in the community that that there are indeed tradeoffs in human right tradeoffs being made in protocol design – hopefully tradeoffs that consider the overall intent of the IETF to have an Internet which supports effective exercise of the rights of freedom of expression and association.

To that end, I’d suggest adding the following section on "Attribution to present list of considerations used during protocol assessment.

Thanks!
/John

===

3.3.n  Attribution

   Question(s): Does your protocol/architecture prevent attribution of those parties 
   involved in communication, and can the protocol readily be used for communication
   which harm the security of recipient?  What, if any, mechanisms within the protocol 
   or architecture are provided for a recipient of communications to obtain redress
   from communication which causes harm?  If no such mechanisms available, does 
   the protocol/architecture provide sufficient information attributing the source of 
   communication to facilitate a recipient exercising their right to legal remedy? 

   Explanation: While anonymity and pseudonymity are very important attributes 
   for protecting several human rights (e.g. those related to freedom of expression 
   and association),  it is also possible for parties to use communication capabilities
   to harm others.  Protocols/architectures should consider the potential for harm in
   their use, the architectural mechanisms available to mitigate this risk of harm, the 
   protocol properties that might impact persons exercising their right of legal remedy,
   and the resulting impact to individuals right of security of person when using the 
   protocol. 

   Impacts:

   -  Right to security 

   -  Right to legal remedy

===

Disclaimer: my views alone (and no intention to harm the security of others thru this communication)

---

From: Niels ten Oever <[email-masked]>
Date: Mon, 10 Jun 2019 16:46:06 +0200

>    and the resulting impact to individuals right of security of person when using the 

This is quite an interesting proposal, and one that I would not oppose. But maybe I could suggestion some granularity that is inspired by the current WHOIS discussions. Perhaps we can seek to provide attribution vis a vis responsible legal entities, and protection vis a vis natural persons?

This would for instance provide LEAs with a point of contact that they can approach with a warrant (for instance AS contact), but protect natural persons.

Would this make sense?

Cheers,

Niels

-- 
Niels ten Oever
Researcher and PhD Candidate
DATACTIVE Research Group
University of Amsterdam

PGP fingerprint	   2458 0B70 5C4A FD8A 9488  
                   643A 0ED8 3F3A 468A C8B3

---

From: John Curran <[email-masked]>
Date: Tue, 11 Jun 2019 11:43:45 -0400

On 10 Jun 2019, at 10:46 AM, Niels ten Oever <[email-masked]> wrote:
>> ...

Neils - 

A very interesting question…  I was not so much advocating for a particular set of norms regarding attribution, but simply some recognition that protocol/architecture design decisions can impact the ability to attribute communications and thus can hinder exercise of rights (such as legal remedy) when attribution is necessary for exercise of same. 

While I think that much more dialogue would be necessary to understand if there is indeed an widely-accepted set of norm that should be used for protocol assessment in this area, your point regarding legal entity attribution vs natural persons is well taken, and might be raised in the mind of a potential protocol designer (or reviewer) by the addition of an additional question, as follows:

  Question(s): Does your protocol/architecture prevent attribution of those parties 
  involved in communication, and can the protocol readily be used for communication
  which harm the security of recipient?  What, if any, mechanisms within the protocol 
  or architecture are provided for a recipient of communications to obtain redress
  from communication which causes harm?  If no such mechanisms available, does 
  the protocol/architecture provide sufficient information attributing the source of 
  communication to facilitate a recipient exercising their right to legal remedy? 
  If attribution to a natural person is not available, does the protocol/architecture
  provide any mechanisms for obtaining contact information for a legal entity 
  responsible (or representing those responsible) for the communication?

This raises the very pragmatic point that attribution to natural persons is not necessarily a 
desirable outcome, but that some consideration of alternative mechanisms for attribution 
may still facilitate exercise of the "legal remedy" human right.

Thoughts?
/John

p.s. (Disclaimer: my views alone - no one else is foolish enough to claim them! ;-)

---

From: Amelia Andersdotter <[email-masked]>
Date: Wed, 12 Jun 2019 12:13:39 +0200

On 2019-06-11 17:43, John Curran wrote:
>
> A very interesting question…  I was not so much advocating for a
> particular set of norms regarding attribution, but simply some
> recognition that protocol/architecture design decisions can impact the
> ability to attribute communications and thus can hinder exercise of
> rights (such as legal remedy) when attribution is necessary for
> exercise of same. 
>
The conflict is, I guess, even weedier. Anonymity is a human right, and
can be crucial for freedom of expression, whistleblowing or criticism.
So we might have to do a deeper dive into the attribution vs anonymity.

Normally, human rights are obligations on governments and duties on
companies to respect individuals. The attribution problem, however,
seems to me to arise when governments or companies find that individuals
have not respected their rights, or when individuals have not respected
other individuals. Because the attribution problem in this sense occurs
in a "reverse setting" (individual -> individual or individual ->
government/company settings rather than government/company -> individual
settings), I'd be cautious to include it in RFC8280.

best regards,

Amelia

> While I think that much more dialogue would be necessary to understand
> if there is indeed an widely-accepted set of norm that should be used
> for protocol assessment in this area, your point regarding legal
> entity attribution vs natural persons is well taken, and might be
> raised in the mind of a potential protocol designer (or reviewer) by
> the addition of an additional question, as follows:
>
>      /*If attribution to a natural person is not available, does the
>     protocol/architecture*/
>     /*  provide any mechanisms*//* for *//*obtaining contact
>     information for a legal entity*/*/ /*
>     */  responsible /**/(or /**/representing /**/those responsible)
>     for the /*/*communication?*/
>
>

-- 
Amelia Andersdotter
Technical Consultant, Digital Programme
Chair, RCM TIG, IEEE 802.11

ARTICLE19
www.article19.org

PGP: 3D5D B6CA B852 B988 055A 6A6F FEF1 C294 B4E8 0B55

---

From: Niels ten Oever <[email-masked]>
Date: Wed, 12 Jun 2019 12:38:34 +0200

> So we might have to do a deeper dive into the attribution vs anonymity.

I don't think anonymity is a human right in itself; the UDHR and ICCPR do not address it, but anonymity can be an important precondition for people to exercise their freedom of expression. 

https://www.ohchr.org/EN/Issues/FreedomOpinion/Pages/CallForSubmission.aspx

> settings), I'd be cautious to include it in RFC8280.

This is why I thought it might make sense to institute attribution vis a vis corporate actors, which could subsequently be the vocal point for legal action. This could work as: accountability for the powerful, and protection for the individual.

Happy to discuss!

Best,

Niels

---

From: John Curran <[email-masked]>
Date: Wed, 12 Jun 2019 07:05:54 -0400

On 12 Jun 2019, at 6:13 AM, Amelia Andersdotter <[email-masked]> wrote:
> companies to respect individuals.

You use the term “normally”, where perhaps you meant “typically”?  All human rights are normal, but I concur that the typical considerations regarding human rights implementation involve preventing otherwise impacting government or business activity. 

> The attribution problem, however,
> other individuals.

Correct. 

> Because the attribution problem in this sense occurs

I don’t following how the atypical nature of the "legal remedy” human right makes it any less important than other human rights or warrants its exclusion from aspects that need to be considered by protocol/architecture designers.  In fact, the less obvious relationship between attribution and ability to support the legal remedy human right would argue that it’s likely more important that it be included, less it be readily overlooked by designers when striving to strike an appropriate balance in these areas. 

Thanks! 
/John

p.s. Disclaimer:  my views alone - this message composed of 100% recycled electrons.

---

From: farzaneh badii <[email-masked]>
Date: Wed, 12 Jun 2019 13:48:49 -0400

Frankly, John, what you are suggesting is outrageous.

You don't have to always attribute the wrongdoing to a "person" or even a
"location" to be able to establish jurisdiction and have access to a legal
remedy and even preserve security. What you are suggesting will do more
harm than good for human rights.

Farzaneh

On Wed, Jun 12, 2019 at 7:06 AM John Curran <[email-masked]> wrote:

> You use the term “normally”, where perhaps you meant “typically”?  All
> human rights are normal, but I concur that the typical considerations
> regarding human rights implementation involve preventing otherwise
> impacting government or business activity.
>
> I don’t following how the atypical nature of the "legal remedy” human
> right makes it any less important than other human rights or warrants its
> exclusion from aspects that need to be considered by protocol/architecture
> designers.  In fact, the less obvious relationship between attribution and
> ability to support the legal remedy human right would argue that it’s
> likely more important that it be included, less it be readily overlooked by
> designers when striving to strike an appropriate balance in these areas.
>
> Thanks!
> /John
>

---

From: John Curran <[email-masked]>
Date: Wed, 12 Jun 2019 14:05:30 -0400

On 12 Jun 2019, at 1:48 PM, farzaneh badii <[email-masked]> wrote:
> You don't have to always attribute the wrongdoing to a "person" or even a "location" to be able to establish jurisdiction and have access to a legal remedy and even preserve security. What you are suggesting will do more harm than good for human rights. 

Farzaneh - 

I’m not certain if you read what I wrote, but I certainly did _not_ advocate that protocols/architectures have to always attribute to a person or location – the proposed text provides questions for protocol designers to consider in their design activities, not mandates or architectural norms to be followed. 

If you are correct in that there are cases where attribution isn’t necessary to provide access to a legal remedy, then it’s simply a matter of documenting (for a given protocol/architecture under assessment) why that is the case, since that’s one of the first questions asked in the proposed text: 

	"What, if any, mechanisms within the protocol or architecture are provided for a recipient of communications to obtain redress from communication which causes harm?  “

If redress is readily available, then it is indeed true that attribution is a non-issue.  It might be good to document an example of such a protocol, since most protocols recourse from “bad behavior” is disconnection, and that’s obviously not the same as legal remedy/redress. 

Thanks!
/John

John Curran
President and CEO
American Registry for Internet Numbers

---

From: Ted Lemon <[email-masked]>
Date: Wed, 12 Jun 2019 14:05:59 -0400

> Frankly, John, what you are suggesting is outrageous. 

I’m having trouble seeing what John has said that’s outrageous.   Rather than simply saying it’s outrageous and hoping that we will see what you mean, could you please tell us what you think he has said that is outrageous, and what about it is outrageous?   I say “think he has said” because it’s also possible that there is a misunderstanding here, and that’s why I’m not seeing it.

---

From: farzaneh badii <[email-masked]>
Date: Wed, 12 Jun 2019 14:49:50 -0400

Thanks John. That now makes better sense to me. We can discuss whether it
should be documented and how it should be documented. But we need to
consider many more aspects of it.
We need to understand what  "security" and "legal remedy"  means in IP.
What is "harm"? Harm is a very controversial term which can be interpreted
in various ways.

I suggest we have more discussion about the nuances before arguing about
the inclusion of your text.

Farzaneh

On Wed, Jun 12, 2019 at 2:05 PM John Curran <[email-masked]> wrote:

> I’m not certain if you read what I wrote, but I certainly did _not_
> advocate that protocols/architectures have to always attribute to a person
> or location – the proposed text provides questions for protocol designers
> to consider in their design activities, not mandates or architectural norms
> to be followed.
>
> If you are correct in that there are cases where attribution isn’t
> necessary to provide access to a legal remedy, then it’s simply a matter of
> documenting (for a given protocol/architecture under assessment) why that
> is the case, since that’s one of the first questions asked in the proposed
> text:
>
> *"What, if any, mechanisms within the protocol or architecture are
> provided for a recipient of communications to obtain redress from
> communication which causes harm?  “*
>
> If redress is readily available, then it is indeed true that attribution
> is a non-issue.  It might be good to document an example of such a
> protocol, since most protocols recourse from “bad behavior” is
> disconnection, and that’s obviously not the same as legal remedy/redress.
>
> Thanks!
> /John
>
> John Curran
> President and CEO

---

From: farzaneh badii <[email-masked]>
Date: Wed, 12 Jun 2019 15:42:12 -0400

So since John has not criticized me yet over the use of the word outrageous
I hold back apologizing for using it, seems like he doesn't get offended
quickly which I am thankful for. If the community wants me to apologize for
the usage of this outrageous word, please let me know so that I send in my
apology.

Explanation: John's suggestions (including it as is) will have (in my
opinion)many negative consequences.  it is not clear what we mean by
"harm".is it a cybersecurity issue? Or is it physical harm on others?   it
is not clear what is meant by "attribution". Is it about identification of
a person? A network?   what do we mean by legal remedy and access to legal
remedy? The document John points to about attribution (the BCP) has been
criticized before.
https://tools.ietf.org/html/draft-andersdotter-intarea-update-to-rfc6302-00 so
there are controversies surrounding this issue, and we have not discussed
whether what John is arguing is a human right issue that we should consider
in HRPC. And usage of the term "public safety" (which is not in John's
suggested text but in RFC 6302) is ambiguous. By public safety, do we mean
law enforcement queries? what sort of queries? fighting with cybercrime? or
street crime? consumer protection?

 This is actually an interesting case to look at and see how RFC 6302 been
implemented and how it has helped "public safety" queries. Maybe it will
lead us to revisit RFC 6302 :)

Farzaneh

On Wed, Jun 12, 2019 at 2:06 PM Ted Lemon <[email-masked]> wrote:

> I’m having trouble seeing what John has said that’s outrageous.   Rather
> than simply saying it’s outrageous and hoping that we will see what you
> mean, could you please tell us what you think he has said that is
> outrageous, and what about it is outrageous?   I say “think he has said”
> because it’s also possible that there is a misunderstanding here, and
> that’s why I’m not seeing it.
>
>
>

---

From: John Curran <[email-masked]>
Date: Wed, 12 Jun 2019 15:59:28 -0400

On 12 Jun 2019, at 2:49 PM, farzaneh badii <[email-masked]> wrote:
> 
> Thanks John. That now makes better sense to me. We can discuss whether it should be documented and how it should be documented.

Agreed. 

> But we need to consider many more aspects of it. 
> We need to understand what  "security" and "legal remedy"  means in IP. What is "harm"? Harm is a very controversial term which can be interpreted in various ways.

Even if we had perfect and globally recognized political norms for harms from communications, we couldn’t ignore the potential need for attribution to support legal remedy. 

For example, protection of whistleblowers is widely recognized as an important element necessary to underpin the right of freedom of expression (and access to information), yet it often results in loss of personal privacy and/or security for the individuals involve – most would agree that using communication technology to disclosure an officials embezzlement of public funds is reasonable and yet disclosing their spouse's serious medical condition is not appropriate.  The communication protocols are agnostic on content, and so we need to be intellectually honest and document if a protocol’s attributes preclude support for legal remedy.   It doesn’t mean that such a protocol is “bad” but simply means that there’s a conscious tradeoff that’s been made on prioritization of functionality in favor of certain human rights (in that case freedom of expression over legal remedy.) 

> I suggest we have more discussion about the nuances before arguing about the inclusion of your text. 

I actually don’t feel particularly strongly about the inclusion or omission of the “attribution” attribute text, but would prefer not having the final document characterized as guidelines for assessment of “select" human rights – the offered text is simply the best I’ve come up with in order "round out" the overall effort. 

Best wishes,
/John

p.s.  Disclaimer: my views alone, and produced under the influence of excessive caffeine - no warranty assumed or implied.

---

From: John Curran <[email-masked]>
Date: Wed, 12 Jun 2019 16:13:45 -0400

On 12 Jun 2019, at 3:42 PM, farzaneh badii <[email-masked]> wrote:
> 
> So since John has not criticized me yet over the use of the word outrageous I hold back apologizing for using it, seems like he doesn't get offended quickly which I am thankful for. If the community wants me to apologize for the usage of this outrageous word, please let me know so that I send in my apology. 

I think it would be outrageous to seek such an apology, as your remarks were made in good faith and did not intend any harm.  

> Explanation: John's suggestions (including it as is) will have (in my opinion)many negative consequences. 

It might be helpful to elaborate somewhat on the negative consequences that you foresee – I’ll admit that the worst consequence that I've envisioned is that those protocols which intentionally preclude attribution will end up with a sentence in their HR assessment to the effect that anonymity provided by the protocol also means that parties who are harmed (via communications taking place over it) should be aware that it may be challenging to seek legal recourse against the perpetrator. 

This isn’t exactly surprising, and reflects many of the Internet protocols that we use today. 

Thanks,
/John 

p.s. Disclaimer:  my views alone, in individual serving size and not packaged for any resale.

---

From: [email-masked]
Date: Thu, 13 Jun 2019 13:38:39 -0400

When something like this comes up I tend to wait for someone with
legal training to chime in but it rarely happens. I guess such a
person needs a retainer first.

I have my doubts that a right to legal remedy, which is reasonable,
implies any particular set of a priori evidence capture rights.

My sense is this falls more in the regulatory arena, if anywhere.

-- 
        -Barry Shein

Software Tool & Die    | [email-masked]             | http://www.TheWorld.com
Purveyors to the Trade | Voice: +1 617-STD-WRLD       | 800-THE-WRLD
The World: Since 1989  | A Public Information Utility | *oo*